%global _version 39

Name:           ditoforge-release
Version:        39
Release:        1
Summary:        DitoForge Repository Configuration

License:        BSD
URL:            https://ditoforge.com
Source1:        ditoforge.repo
Source2:        RPM-GPG-KEY-ditoforge-%{version}
BuildArch:      noarch

Requires:       system-release(%{version})
Provides:       ditoforge-repo(%{version})

%description
DitoForge package repository files for dnf and yum
along with gpg public keys


%prep
echo "Nothing to prep"


%build
echo "Nothing to build"


%install

# Create dirs
install -d -m755 \
  %{buildroot}%{_sysconfdir}/pki/rpm-gpg  \
  %{buildroot}%{_sysconfdir}/yum.repos.d


# GPG Key
%{__install} -Dp -m644 \
    %{SOURCE2} \
    %{buildroot}%{_sysconfdir}/pki/rpm-gpg


# Avoid using basearch in name for the key. Introduced in F18
ln -s $(basename %{SOURCE2}) %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-ditoforge-fedora-%{version}


# Yum .repo files
%{__install} -p -m644 \
    %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/yum.repos.d


%files
%config %{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/ditoforge.repo


%changelog
* Tue Dec 20 2022 Brian Rogers <captbrogers@protonmail.ch> - 37-1
- Relase for Fedora 37

* Tue Apr 27 2021 Brian Rogers <captbrogers@protonmail.ch> - 33-1
- Update to Fedora 33, didn't release Fedora 32

* Mon Feb 24 2020 Brian Rogers <captbrogers@protonmail.ch> - 31-1
- Initial RPM release for Fedora 31

* Mon Nov 11 2019 Brian Rogers <captbrogers@protonmail.ch> - 30-1
- Initial RPM release
